Skip to main content
PUT
/
entities
/
{id}
Update entity
curl --request PUT \
  --url https://api.getenso.ai/entities/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "legalName": "<string>",
  "email": [
    "jsmith@example.com"
  ],
  "phoneNumber": "<string>",
  "externalId": "<string>"
}
'
{
  "status": "success",
  "message": "Success",
  "data": {}
}

Authorizations

Authorization
string
header
required

JWT bearer token obtained from POST /auth/system-login using your client credentials.

Path Parameters

id
string
required

Entity ID

Body

application/json
email
string<email>[]
phoneNumber
string
externalId
string

Response

Success

status
string
Example:

"success"

message
string
Example:

"Success"

data
object

Endpoint-specific payload (object, array, or null)